OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_PresentationSize Class Reference

`#include <StepVisual_PresentationSize.hxx>`

## Public Member Functions
Standard_EXPORT | StepVisual_PresentationSize ()
| Returns a PresentationSize .
virtual Standard_EXPORT void | Init (const StepVisual_PresentationSizeAssignmentSelect &aUnit, const Handle(StepVisual_PlanarBox)&aSize)
Standard_EXPORT void | SetUnit (const StepVisual_PresentationSizeAssignmentSelect &aUnit)
Standard_EXPORT StepVisual_PresentationSizeAssignmentSelect | Unit () const
Standard_EXPORT void | SetSize (const Handle(StepVisual_PlanarBox)&aSize)
Standard_EXPORT Handle_StepVisual_PlanarBox | Size () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
StepVisual_PresentationSizeAssignmentSelect | unit
Handle_StepVisual_PlanarBox | size

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_PresentationSize::StepVisual_PresentationSize | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_PresentationSize::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepVisual_PresentationSize::Init | ( | const StepVisual_PresentationSizeAssignmentSelect & | aUnit,
|  | const Handle(StepVisual_PlanarBox)& | aSize
| ) | `[virtual]`

Standard_EXPORT void StepVisual_PresentationSize::SetSize | ( | const Handle(StepVisual_PlanarBox)& | aSize | ) |

Standard_EXPORT void StepVisual_PresentationSize::SetUnit | ( | const StepVisual_PresentationSizeAssignmentSelect & | aUnit | ) |

Standard_EXPORT Handle_StepVisual_PlanarBox StepVisual_PresentationSize::Size | ( |  | ) | const

Standard_EXPORT StepVisual_PresentationSizeAssignmentSelect StepVisual_PresentationSize::Unit | ( |  | ) | const

## Field Documentation

Handle_StepVisual_PlanarBox StepVisual_PresentationSize::size`[private]`

StepVisual_PresentationSizeAssignmentSelect StepVisual_PresentationSize::unit`[private]`

The documentation for this class was generated from the following file:

- StepVisual_PresentationSize.hxx